Debian Bug report logs - #514882
Please include new xdg-su tool based on su-to-root

version graph

Package: xdg-utils; Maintainer for xdg-utils is Per Olofsson <pelle@debian.org>; Source for xdg-utils is src:xdg-utils.

Reported by: Rafael Belmonte <eaglescreen@gmail.com>

Date: Wed, 11 Feb 2009 17:00:01 UTC

Severity: minor

Merged with 535064

Found in versions xdg-utils/1.0.2+cvs20100307-1, xdg-utils/1.0.2-6.1

Done: Liu Tai Ling <pedro.arroyo@inac.gob.ve>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#514882; Package menu. (Wed, 11 Feb 2009 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Belmonte <eaglescreen@gmail.com>:
New Bug report received and forwarded. Copy sent to Bill Allombert <ballombe@debian.org>. (Wed, 11 Feb 2009 17:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Belmonte <eaglescreen@gmail.com>
To: submit@bugs.debian.org, ballombe@debian.org
Subject: [menu] Please split 'menu' Debian package and su-to-root script
Date: Wed, 11 Feb 2009 17:53:41 +0100
Package: menu
Version: 2.1.41
Severity: wishlist

--- Please enter the report below this line. ---
Hello i am here to talk about 'menu' Debian package and its script su-to-root.
I think this package and script is/was developed by Debian (Debian 
mainteiners/developers are also upstream) by this i am writting this here.
"menu" package has inside a bash script called 'su-to-root' to launch X 
applications using the proper authentication method according to the Desktop 
(gksu for Gnome, kdesu for KDE, etc..). This is a useful script, but 
applications that want to use su-to-root needs to depend on 'menu' for asure 
that .desktop launcher will work using su-to-root. The problem is that many 
users and many Debian-based GNU/Linux distributions do not want to install 
'menu' package because it may add Debian menu, which is found useless in some 
cases having Gnome or KDE menus.
By this, me and some other persons have thought in to split 'menu' package and 
su-to-root script into two different packages. And we have thought that 
upstream developers may want to support the idea.
I will be waiting for your answer.
Cheers.

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.27-9-generic

Debian Release: lenny/sid
  500 jaunty          ddebs.ubuntu.com 
  500 intrepid-updates es.archive.ubuntu.com 
  500 intrepid-security security.ubuntu.com 
  500 intrepid        wine.budgetdedicated.com 
  500 intrepid        ppa.launchpad.net 
  500 intrepid        packages.medibuntu.org 
  500 intrepid        es.archive.ubuntu.com 

--- Package information. ---
Depends           (Version) | Installed
===========================-+-=============
libc6              (>= 2.4) | 2.8~20080505-0ubuntu9
libgcc1        (>= 1:4.1.1) | 1:4.3.2-1ubuntu12
libstdc++6       (>= 4.2.1) | 4.3.2-1ubuntu12






Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#514882; Package menu. (Thu, 12 Feb 2009 22:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Thu, 12 Feb 2009 22:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 514882@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Rafael Belmonte <eaglescreen@gmail.com>, 514882@bugs.debian.org
Subject: Re: Bug#514882: [menu] Please split 'menu' Debian package and su-to-root script
Date: Thu, 12 Feb 2009 23:35:30 +0100
On Wed, Feb 11, 2009 at 05:53:41PM +0100, Rafael Belmonte wrote:
> Package: menu
> Version: 2.1.41
> Severity: wishlist
> 
> Hello i am here to talk about 'menu' Debian package and its script su-to-root.
> I think this package and script is/was developed by Debian (Debian 
> mainteiners/developers are also upstream) by this i am writting this here.
> "menu" package has inside a bash script called 'su-to-root' to launch X 
> applications using the proper authentication method according to the Desktop 
> (gksu for Gnome, kdesu for KDE, etc..). This is a useful script, but 
> applications that want to use su-to-root needs to depend on 'menu' for asure 
> that .desktop launcher will work using su-to-root. The problem is that many 
> users and many Debian-based GNU/Linux distributions do not want to install 
> 'menu' package because it may add Debian menu, which is found useless in some 
> cases having Gnome or KDE menus.
> By this, me and some other persons have thought in to split 'menu' package and 
> su-to-root script into two different packages. And we have thought that 
> upstream developers may want to support the idea.

Hello,

I am in effect both the Debian maintainer and the upstream maintainer of
menu and I am also the author of the current su-to-root script.

I have already answered to that exact request in the past, and I
disagree on two counts:

1) It is not a good idea to use su-to-root in .desktop files because
they became Debian-specific (which is exactly the issue you have).
Instead XDG should provide a programm to use in .desktop for that
purpose.

2) There is no need to uninstall menu to avoid the Debian menu to be
displayed, fortunately. On a multi-user system there are no reason all
users should make the same choice.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Blocking bugs of 492493 added: 514882 Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 27 Apr 2009 05:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bill Allombert <ballombe@debian.org>:
Bug#514882; Package menu. (Fri, 10 Jul 2009 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Bill Allombert <ballombe@debian.org>. (Fri, 10 Jul 2009 22:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 514882@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 492493@bugs.debian.org, Raphael Geissert <atomo64+debian@gmail.com>, 514882@bugs.debian.org, pelle@debian.org
Subject: Re: Bug#492493: lintian: please remove the su-to-root check in desktop files
Date: Sat, 11 Jul 2009 00:00:38 +0200
[Message part 1 (text/plain, inline)]
reassign 514882 xdg-utils
retitle 514882 Please include new xdg-su tool based on su-to-root
thanks

Le vendredi 10 juillet 2009 à 10:31 -0700, Russ Allbery a écrit :
> > I think it is clear that this is not going to happen. Would it be
> > possible to clone the existing su-to-root into a, say, xdg-su for
> > xdg-utils, or sensible-su for debianutils ?
> 
> sensible-utils now.  I'd be fine with putting it in sensible-utils as
> sensible-su personally, but it's up to Clint and whatever vetting
> process Clint wants for what goes into the sensible-utils package.
> 
> xdg-su also sounds great to me.

OK. I have asked Clint and he doesn’t want a new tool in sensible-utils
for the moment, so xdg-utils looks like the best candidate currently.

Per, would you agree to put this new script in xdg-utils? BTW I notice
that you haven’t uploaded it for a while, are you interested in moving
it to pkg-freedesktop, which looks like the logical place for it?

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `menu' to `xdg-utils'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Fri, 10 Jul 2009 22:03:05 GMT) Full text and rfc822 format available.

Changed Bug title to `Please include new xdg-su tool based on su-to-root' from `[menu] Please split 'menu' Debian package and su-to-root script'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Fri, 10 Jul 2009 22:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#514882; Package xdg-utils. (Sat, 11 Jul 2009 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@debian.org>:
Extra info received and forwarded to list. (Sat, 11 Jul 2009 09:54:04 GMT) Full text and rfc822 format available.

Message #26 received at 514882@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: Russ Allbery <rra@debian.org>, 492493@bugs.debian.org, Raphael Geissert <atomo64+debian@gmail.com>, 514882@bugs.debian.org
Subject: Re: Bug#492493: lintian: please remove the su-to-root check in desktop files
Date: Sat, 11 Jul 2009 11:48:14 +0200
Hi Joss,

Josselin Mouette wrote:
> reassign 514882 xdg-utils
> retitle 514882 Please include new xdg-su tool based on su-to-root
> thanks
> 
> Le vendredi 10 juillet 2009 à 10:31 -0700, Russ Allbery a écrit :
>>> I think it is clear that this is not going to happen. Would it be
>>> possible to clone the existing su-to-root into a, say, xdg-su for
>>> xdg-utils, or sensible-su for debianutils ?
>> sensible-utils now.  I'd be fine with putting it in sensible-utils as
>> sensible-su personally, but it's up to Clint and whatever vetting
>> process Clint wants for what goes into the sensible-utils package.
>>
>> xdg-su also sounds great to me.
> 
> OK. I have asked Clint and he doesn’t want a new tool in sensible-utils
> for the moment, so xdg-utils looks like the best candidate currently.

There used to be an xdg-su actually, but it got removed for some reason.
I think they wanted to use PolicyKit instead or something.

The old code is here:
http://webcvs.freedesktop.org/portland/portland/xdg-utils/scripts/xdg-su

> Per, would you agree to put this new script in xdg-utils? BTW I notice
> that you haven’t uploaded it for a while, are you interested in moving
> it to pkg-freedesktop, which looks like the logical place for it?

I'd be happy to move it -- I haven't had time to maintain it properly.
Part of the problem is that upstream is quite inactive as well. When I
started maintaining this package, I didn't plan on becoming my own
upstream. Co-maintainance is very welcome.

-- 
Pelle




Information forwarded to debian-bugs-dist@lists.debian.org, Per Olofsson <pelle@debian.org>:
Bug#514882; Package xdg-utils. (Sat, 11 Jul 2009 10:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Per Olofsson <pelle@debian.org>. (Sat, 11 Jul 2009 10:00:07 GMT) Full text and rfc822 format available.

Message #31 received at 514882@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Josselin Mouette <joss@debian.org>, 514882@bugs.debian.org
Cc: Russ Allbery <rra@debian.org>, 492493@bugs.debian.org, Raphael Geissert <atomo64+debian@gmail.com>, pelle@debian.org
Subject: Re: Bug#514882: Bug#492493: lintian: please remove the su-to-root check in desktop files
Date: Sat, 11 Jul 2009 11:58:45 +0200
On Sat, Jul 11, 2009 at 12:00:38AM +0200, Josselin Mouette wrote:
> reassign 514882 xdg-utils
> retitle 514882 Please include new xdg-su tool based on su-to-root
> thanks
> 
> Le vendredi 10 juillet 2009 à 10:31 -0700, Russ Allbery a écrit :
> > > I think it is clear that this is not going to happen. Would it be
> > > possible to clone the existing su-to-root into a, say, xdg-su for
> > > xdg-utils, or sensible-su for debianutils ?
> > 
> > sensible-utils now.  I'd be fine with putting it in sensible-utils as
> > sensible-su personally, but it's up to Clint and whatever vetting
> > process Clint wants for what goes into the sensible-utils package.
> > 
> > xdg-su also sounds great to me.
> 
> OK. I have asked Clint and he doesn’t want a new tool in sensible-utils
> for the moment, so xdg-utils looks like the best candidate currently.
> 
> Per, would you agree to put this new script in xdg-utils? BTW I notice
> that you haven’t uploaded it for a while, are you interested in moving
> it to pkg-freedesktop, which looks like the logical place for it?

I also reported bug #535064 asking for upstream to provide a xdg-su script.
This would be much better than any Debian-only interface.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#514882; Package xdg-utils. (Sat, 11 Jul 2009 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Per Olofsson <pelle@debian.org>:
Extra info received and forwarded to list. (Sat, 11 Jul 2009 11:09:03 GMT) Full text and rfc822 format available.

Message #36 received at 514882@bugs.debian.org (full text, mbox):

From: Per Olofsson <pelle@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 514882@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>, Russ Allbery <rra@debian.org>, 492493@bugs.debian.org, Raphael Geissert <atomo64+debian@gmail.com>
Subject: Re: Bug#514882: Bug#492493: lintian: please remove the su-to-root check in desktop files
Date: Sat, 11 Jul 2009 13:05:03 +0200
Bill Allombert wrote:
> I also reported bug #535064 asking for upstream to provide a xdg-su script.
> This would be much better than any Debian-only interface.

As I said, there was one, but they removed it. They think that
applications should use PolicyKit instead. (Not that I agree.)

OTOH, there seems to be no upstream maintainer at the moment.

One reason that I haven't uploaded the package in a while is that I am
somewhat reluctant to add Debian-only patches to it. The whole point of
xdg-utils is that it should provide a distro-neutral interface for doing
stuff. It seems a bit pointless then to add Debian-specific interfaces.

There are already many patches in the Debian package. I once tried to
get LyX's upstream to use xdg-open by default to open files, but it
turns out that other distro's xdg-open are broken, so it didn't work.
Now only the LyX in Debian (and derivs.) uses xdg-open.

Unless we can get upstream to somehow accept patches and new interfaces,
I think it would be better to add them to another package. Calling
things xdg-* without having anything to do with freedesktop.org seems wrong.

-- 
Pelle




Information forwarded to debian-bugs-dist@lists.debian.org, Per Olofsson <pelle@debian.org>:
Bug#514882; Package xdg-utils. (Thu, 16 Jul 2009 10:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Per Olofsson <pelle@debian.org>. (Thu, 16 Jul 2009 10:24:08 GMT) Full text and rfc822 format available.

Message #41 received at 514882@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@ubuntu.com>
To: Per Olofsson <pelle@debian.org>
Cc: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 514882@bugs.debian.org, Josselin Mouette <joss@debian.org>, Russ Allbery <rra@debian.org>, 492493@bugs.debian.org, Raphael Geissert <atomo64+debian@gmail.com>
Subject: Re: Re: Bug#514882: Bug#492493: lintian: please remove the su-to-root check in desktop files
Date: Thu, 16 Jul 2009 12:13:01 +0200
[Message part 1 (text/plain, inline)]
Per Olofsson wrote:
> Bill Allombert wrote:
>> I also reported bug #535064 asking for upstream to provide a xdg-su script.
>> This would be much better than any Debian-only interface.
> 
> As I said, there was one, but they removed it. They think that
> applications should use PolicyKit instead. (Not that I agree.)

I also agree xdgsu is the way to go. If it was revived upstream we wouldn't need
to locally patch desktop files, they could be changed upstream, and even the
.desktop files standards recommend the use of xdgsu rather than $suwrapper.

I asked about it in 2008 [1], but got no reply.

[1] http://lists.freedesktop.org/archives/portland/2009-May/001082.html

> Unless we can get upstream to somehow accept patches and new interfaces,
> I think it would be better to add them to another package. Calling
> things xdg-* without having anything to do with freedesktop.org seems wrong.

Agreed.

Cheers,
Emilio

[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 514882 535064. Request was from Fathi Boudra <fabo@debian.org> to control@bugs.debian.org. (Tue, 23 Feb 2010 16:42:06 GMT) Full text and rfc822 format available.

Reply sent to Rafael Belmonte <eaglescreen@gmail.com>:
You have taken responsibility. (Sat, 12 Jun 2010 00:30:04 GMT) Full text and rfc822 format available.

Notification sent to Rafael Belmonte <eaglescreen@gmail.com>:
Bug acknowledged by developer. (Sat, 12 Jun 2010 00:30:04 GMT) Full text and rfc822 format available.

Message #48 received at 514882-done@bugs.debian.org (full text, mbox):

From: Rafael Belmonte <eaglescreen@gmail.com>
To: 514882-done@bugs.debian.org
Subject: Done: Please include new xdg-su tool based on su-to-root
Date: Sat, 12 Jun 2010 02:27:22 +0200
Package: xdg-utils
Version: 1.0.2+cvs20100307-1

--- Please enter the report below this line. ---


Not necessary with the new Freedesktop standars.




Reply sent to Rafael Belmonte <eaglescreen@gmail.com>:
You have taken responsibility. (Sat, 12 Jun 2010 00:30:04 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Sat, 12 Jun 2010 00:30:05 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions xdg-utils/1.0.2+cvs20100307-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 Jun 2010 00:18:05 GMT) Full text and rfc822 format available.

Forcibly Merged 514882 535064 576830. Request was from Per Olofsson <pelle@debian.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 17:30:16 GMT) Full text and rfc822 format available.

Disconnected #576830 from all other report(s). Request was from Per Olofsson <pelle@debian.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 17:30:19 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Jun 2011 07:36:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:20:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.